Page MenuHomePhabricator

Undefined index: 1.5x in ResourceLoaderSkinModule on ff.wikipedia
Closed, ResolvedPublic

Description

ErrorException from line 38 of /srv/mediawiki/php-1.29.0-wmf.17/includes/resourceloader/ResourceLoaderSkinModule.php: PHP Notice: Undefined index: 1.5x

Occurs on ffwiki

Details

Related Gerrit Patches:
operations/mediawiki-config : masterTest wgLogoHD keys
operations/mediawiki-config : masterFix wgLogoHD keys

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2017, 7:22 PM

This is caused by a typo in the configuration:

'ffwiki' => [ '2.5x' => '/static/images/project-logos/ffwiki-1.5x.png', '2x' => '/static/images/project-logos/ffwiki-2x.png'], // T150618

Dereckson claimed this task.EditedMar 25 2017, 7:24 PM
Dereckson added a subscriber: Urbanecm.

Introduced in 26cbc1ac3 to solve T150618

Change 344796 had a related patch set uploaded (by Dereckson):
[operations/mediawiki-config@master] Fix wgLogoHD keys

https://gerrit.wikimedia.org/r/344796

I'm going to prepare too a unit test to detect further occurrences of this issue.

Change 344798 had a related patch set uploaded (by Dereckson):
[operations/mediawiki-config@master] Test wgLogoHD keys

https://gerrit.wikimedia.org/r/344798

This comment was removed by Urbanecm.

Change 344796 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix wgLogoHD keys

https://gerrit.wikimedia.org/r/344796

Mentioned in SAL (#wikimedia-operations) [2017-03-27T13:29:58Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Fix wgLogoHD 2.5x key (T161416) (duration: 00m 43s)

Urbanecm closed this task as Resolved.Mar 27 2017, 2:04 PM

Change 344798 merged by jenkins-bot:
[operations/mediawiki-config@master] Test wgLogoHD keys

https://gerrit.wikimedia.org/r/344798

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM